- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
G::SlotImp1< T, P > Class Template Reference

Part of the slot/signal system. More...

`#include <gslot.h>`

Inheritance diagram for G::SlotImp1< T, P >:

## Public Member Functions
| SlotImp1 (T &object, void(T::*fn)(P))
void | callback (P p)
Public Member Functions inherited from G::SlotBase
| SlotBase ()
| Default constuctor. More...
virtual | ~SlotBase ()
| Destructor. More...
void | up ()
| Increments the reference count. More...
void | down ()
| Decrements the reference count and does "delete this" on zero. More...

## Detailed Description

### template<typename T, typename P>
class G::SlotImp1< T, P >

Part of the slot/signal system.

Definition at line 167 of file gslot.h.

## Constructor & Destructor Documentation

template<typename T , typename P >

G::SlotImp1< T, P >::SlotImp1 | ( | T & | object,
|  | void(T::*)(P) | fn
| ) |  |
| inline

Definition at line 173 of file gslot.h.

## Member Function Documentation

template<typename T , typename P >

void G::SlotImp1< T, P >::callback | ( | P | p | ) |
| inline

Definition at line 174 of file gslot.h.

The documentation for this class was generated from the following file:

- gslot.h